unit uGad;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Label1: TLabel;
    Button5: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  k,s,nd,kd:integer;
implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  showmessage(' Загадайте и запомните число от 1 до 1000. Если загаданное число меньше того, которое предлагает компьютер, то нажмите "Меньше", а если больше, то нажмите "Больше", если число правильно, то нажмите "Правильно!" ');
  nd:=0;kd:=1000;
  s:=nd+kd;
  k:=0;
  s:=s div 2;
  label1.Caption:=inttostr(s);
  inc(k);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  kd:=s;
  s:=nd+kd;
  s:=s div 2;
  label1.caption:=inttostr(s);
  inc(k);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  nd:=s;
  s:=nd+kd;
  s:=s div 2;
  label1.caption:=inttostr(s);
  inc(k);
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  label1.Caption:='Число попыток компьютера = '+inttostr(k);
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  halt;
end;

end.
